classification
Title: lack of PyExc_BufferError doc
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: beng94, berker.peksag, cocoatomo, docs@python, martin.panter, serhiy.storchaka, xwhhsprings
Priority: normal Keywords: easy, patch

Created on 2013-10-11 10:02 by xwhhsprings, last changed 2017-04-20 03:58 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
doc_exceptions.patch beng94, 2016-01-22 13:04 review
doc_exceptions_v1.patch beng94, 2016-01-27 15:06 review
Pull Requests
URL Status Linked Edit
PR 881 merged cocoatomo, 2017-03-29 01:26
PR 964 merged cocoatomo, 2017-04-02 23:37
PR 965 merged cocoatomo, 2017-04-02 23:42
PR 966 merged cocoatomo, 2017-04-02 23:46
PR 969 closed Mariatta, 2017-04-03 09:16
PR 970 closed Mariatta, 2017-04-03 09:20
PR 1068 merged cocoatomo, 2017-04-09 23:33
PR 1199 merged cocoatomo, 2017-04-20 02:59
PR 1200 merged cocoatomo, 2017-04-20 03:00
PR 1201 merged cocoatomo, 2017-04-20 03:01
Messages (20)
msg199458 - (view) Author: hiroaki itoh (xwhhsprings) Date: 2013-10-11 10:02
http://docs.python.org/2.7/c-api/exceptions.html#standard-exceptions

Python2.7 (at least 2.7.5) has PyExc_BufferError, but the document does not tell it.
msg199460 - (view) Author: hiroaki itoh (xwhhsprings) Date: 2013-10-11 10:19
also:

* GeneratorExit
* StopIteration
* VMSError (#ifdef __VMS)
* UnboundLocalError
* IndentationError
* TabError
* UnicodeError
* UnicodeDecodeError
* UnicodeEncodeError
* UnicodeTranslateError

* Warning;
* UserWarning;
* DeprecationWarning;
* PendingDeprecationWarning;
* SyntaxWarning;
* RuntimeWarning;
* FutureWarning;
* ImportWarning;
* UnicodeWarning;
* BytesWarning;

Or, erase `For completeness, here are all the variables' statement...?
msg258770 - (view) Author: Tamás Bence Gedai (beng94) * Date: 2016-01-21 21:59
Let me try to solve this issue. Will be back in 4 days.
msg258798 - (view) Author: Tamás Bence Gedai (beng94) * Date: 2016-01-22 13:04
I've created a new table for warnings and added the missing exceptions to the exceptions table.

I did not find a link for VMSError, but I added it to the table.

Note that the exceptions table is not absolutely in alphabetical order, I can fix it as well, if it's needed.
msg258987 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-01-27 01:45
General approach looks good. I left some review comments.

VMSError: I think this is Python 2 only, where it seems to be in a similar situation to WindowsError. According to Issue 16136 it was removed in Python 3.4. But it looks like your patch is against Python 3.

If you want to fix the alphabetical order, I think that is okay to do in the same patch. Otherwise, the current state is okay, but please put your BufferError in the right place :)
msg259023 - (view) Author: Tamás Bence Gedai (beng94) * Date: 2016-01-27 15:06
Thanks Martin for the review!

I tried to fix the problems, I hope now it'll be good.

Changes:
- fixed uppercase 'B'
- removed VMSError
- moved notes after versionchanged
- added two indices for the different tables
* put BufferError in it's place

I didn't fix the alphabetical order to keep the patch clean. If you find this patch good, I'll fix that as well if it's needed.
msg289196 - (view) Author: KINEBUCHI Tomohiko (cocoatomo) * Date: 2017-03-08 02:32
This issue seems pending.

> beng94

Would you create a pull request?
msg290763 - (view) Author: KINEBUCHI Tomohiko (cocoatomo) * Date: 2017-03-29 01:20
I will create a pull request based on the patch created by beng94.
In addition, I will have its contents up-to-date.
msg291030 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-02 10:45
New changeset e8c763128fb459c5c98194e4312f31493c0f12df by Serhiy Storchaka (cocoatomo) in branch 'master':
bpo-19225: Add a table of warning names and missed exception names in C API doc (#881)
https://github.com/python/cpython/commit/e8c763128fb459c5c98194e4312f31493c0f12df
msg291031 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-02 10:48
Thank you for your patch Kinebuchi. Do you mind to backport it to other branches?
msg291047 - (view) Author: KINEBUCHI Tomohiko (cocoatomo) * Date: 2017-04-03 01:43
I created backporting pull requests for 2.7, 3.5 and 3.6.
msg291228 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-06 14:00
New changeset 2cfe583ac8d3eaa98e3d2aca597577ce4787ca20 by Serhiy Storchaka (cocoatomo) in branch '3.5':
[3.5] bpo-19225: Lack of c api exceptions doc (#965)
https://github.com/python/cpython/commit/2cfe583ac8d3eaa98e3d2aca597577ce4787ca20
msg291229 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-06 14:22
Sorry, but I just found that warning categories are enumerated near the documentation of PyErr_WarnEx(). I think that that enumeration is no longer needed and can be removed.
msg291318 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-08 06:19
New changeset 7f85947106aff5b1f166a57f644f987db4d38bf0 by Serhiy Storchaka (cocoatomo) in branch '2.7':
[2.7] bpo-19225: Lack of c api exceptions doc (#964)
https://github.com/python/cpython/commit/7f85947106aff5b1f166a57f644f987db4d38bf0
msg291336 - (view) Author: KINEBUCHI Tomohiko (cocoatomo) * Date: 2017-04-08 16:09
Oh, I have overlooked these sentences.
I will create an additional pull request to remove duplication.
msg291696 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-04-15 02:06
New changeset eaeda64c2fd2abd33e59b03298f9cdc9e8efef89 by Berker Peksag (cocoatomo) in branch 'master':
bpo-19225: Remove duplicated description for standard warning categories (GH-1068)
https://github.com/python/cpython/commit/eaeda64c2fd2abd33e59b03298f9cdc9e8efef89
msg291937 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-04-20 03:54
New changeset 5fb4bf91e78e128a22b5b58da179f09d0b307f2d by Berker Peksag (cocoatomo) in branch '3.6':
bpo-19225: Remove duplicated description for standard warning categories (GH-1068)
https://github.com/python/cpython/commit/5fb4bf91e78e128a22b5b58da179f09d0b307f2d
msg291938 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-04-20 03:56
New changeset 7e56fe35efe3aef0b9aac989255c4f13dfc01b09 by Berker Peksag (cocoatomo) in branch '3.5':
bpo-19225: Remove duplicated description for standard warning categories (GH-1068)
https://github.com/python/cpython/commit/7e56fe35efe3aef0b9aac989255c4f13dfc01b09
msg291939 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-04-20 03:57
New changeset 450a69c6a4bfee6a10cbcc0c43b221bb135689c8 by Berker Peksag (cocoatomo) in branch '2.7':
bpo-19225: Remove duplicated description for standard warning categories (GH-1068)
https://github.com/python/cpython/commit/450a69c6a4bfee6a10cbcc0c43b221bb135689c8
msg291940 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-04-20 03:58
Thanks for the backport PRs!
History
Date User Action Args
2017-04-20 03:58:48berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg291940

stage: backport needed -> resolved
2017-04-20 03:57:23berker.peksagsetmessages: + msg291939
2017-04-20 03:56:07berker.peksagsetmessages: + msg291938
2017-04-20 03:54:08berker.peksagsetmessages: + msg291937
2017-04-20 03:01:46cocoatomosetpull_requests: + pull_request1326
2017-04-20 03:00:23cocoatomosetpull_requests: + pull_request1325
2017-04-20 02:59:26cocoatomosetpull_requests: + pull_request1324
2017-04-15 02:06:04berker.peksagsetnosy: + berker.peksag
messages: + msg291696
2017-04-09 23:33:58cocoatomosetpull_requests: + pull_request1214
2017-04-08 16:09:12cocoatomosetmessages: + msg291336
2017-04-08 06:19:26serhiy.storchakasetmessages: + msg291318
2017-04-06 14:22:27serhiy.storchakasetmessages: + msg291229
2017-04-06 14:00:26serhiy.storchakasetmessages: + msg291228
2017-04-03 09:20:56Mariattasetpull_requests: + pull_request1147
2017-04-03 09:16:56Mariattasetpull_requests: + pull_request1146
2017-04-03 01:43:30cocoatomosetmessages: + msg291047
2017-04-02 23:46:13cocoatomosetpull_requests: + pull_request1145
2017-04-02 23:42:25cocoatomosetpull_requests: + pull_request1144
2017-04-02 23:37:38cocoatomosetpull_requests: + pull_request1143
2017-04-02 10:48:03serhiy.storchakasetmessages: + msg291031
stage: patch review -> backport needed
2017-04-02 10:45:42serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg291030
2017-03-29 01:26:19cocoatomosetpull_requests: + pull_request783
2017-03-29 01:20:11cocoatomosetmessages: + msg290763
versions: + Python 3.7
2017-03-08 02:32:22cocoatomosetnosy: + cocoatomo
messages: + msg289196
2016-01-27 15:06:17beng94setfiles: + doc_exceptions_v1.patch

messages: + msg259023
2016-01-27 01:45:08martin.pantersetnosy: + martin.panter

messages: + msg258987
stage: needs patch -> patch review
2016-01-22 13:04:43beng94setfiles: + doc_exceptions.patch
keywords: + patch
messages: + msg258798
2016-01-21 21:59:09beng94setnosy: + beng94
messages: + msg258770
2016-01-20 07:27:02berker.peksagsetkeywords: + easy
stage: needs patch
type: behavior -> enhancement
versions: + Python 3.5, Python 3.6
2013-10-11 10:19:23xwhhspringssetmessages: + msg199460
2013-10-11 10:02:57xwhhspringscreate